Bug 1922292

Summary: Bump RHCOS boot images for 4.7
Product: OpenShift Container Platform Reporter: Micah Abbott <miabbott>
Component: InstallerAssignee: Steve Milner <smilner>
Installer sub component: openshift-installer QA Contact: Gaoyun Pei <gpei>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: urgent CC: miabbott, mpatel, nelluri, nstielau, pehunt, rphillips, wking, zzhao
Version: 4.7   
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:57:13 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1908462, 1915085, 1920571, 1924135    
Bug Blocks:    

Description Micah Abbott 2021-01-29 15:33:11 UTC
RHCOS has another set of fixes to the boot image that we want to include in the 4.7 release.

This bug will be used to track the change to the installer and any associated RHCOS bugs that would be fixed by the bump.

Comment 1 Micah Abbott 2021-01-29 15:33:51 UTC
Steve will be shepherding the change this time around.

Comment 3 Peter Hunt 2021-02-02 17:36:46 UTC
Adding a CRI-O fix that's needed to not segfault under load

Comment 17 Gaoyun Pei 2021-02-10 08:16:07 UTC
The proposed PR was merged into 4.7.0-0.nightly-2021-02-09-224509, an IPI on AWS installation passed on this payload.

sh-4.4# rpm-ostree status
State: idle
Deployments:
* pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a32077727aa2ef96a1e2371dbcc53ba06f3d9727e836b72be0f0dd4513937e1e
              CustomOrigin: Managed by machine-config-operator
                   Version: 47.83.202102090044-0 (2021-02-09T00:47:36Z)

  ostree://646a9832dd0dc9fe174a2fc005863a9582186518a5476522a0e9bdccc0e5252a
                   Version: 47.83.202102090044-0 (2021-02-09T00:47:36Z)


Also verified the boot image rhcos-47.83.202102090044-0 works well for OSP and vSphere installations.

Comment 20 errata-xmlrpc 2021-02-24 15:57:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633